"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import pys60rc_com, types
try:
  import serial
except ImportError:
  raise ImportError, 'Please install pyserial from http://sourceforge.net/projects/pyserial/'

class BluetoothSerial(pys60rc_com.SvrCli):

  def __init__(self, com_port, log, baudrate = 115200):
    # connect to phone
    if type(com_port) == types.IntType: # adjust com_port, because Serial(0) opens COM1...
        com_port -= 1
    try:
      serial_port = serial.Serial(com_port, baudrate = baudrate)
    except serial.serialutil.SerialException, e:
      log(0, "Opening COM port failed (maybe it's already in use?)", e)
      sys.exit(1)
    log(0, 'Connected to serial port', serial_port.portstr)

    pys60rc_com.SvrCli.__init__(self, serial_port)
    self.log = log # override SrvCli's log method
    self.finished = False

  def clearBuffer(self):
    self.stream.flushInput()

  def quit(self):
    self.finished = True
