"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import pprint

class Configuration():
  def __init__(self, conf_file_name, log):
    self.conf_file_name = conf_file_name
    self.conf = None
    self.log = log

  def get(self, key, default = None):
    if not self.conf:
      self.load()
    if self.conf and self.conf.has_key(key):
      return self.conf[key]
    return default
    
  def set(self, key, value):
    if not self.conf:
      self.load()
    self.conf[key] = value
    self.save()

  def update(self, dictonary):
    if not self.conf:
      self.load()
    self.conf.update(dictonary)
    self.save()

  def load(self):
    try:
      self.conf = eval(open(self.conf_file_name, 'r').read())
      self.log(2, 'loaded conf from file %s' % (self.conf_file_name))
      self.log(4, repr(self.conf))
    except IOError:
      self.conf = {}
      self.log(2, 'error opening file %s' % (self.conf_file_name))
    
  def save(self):
    try:
      self.log(2, 'saving conf to file %s' % (self.conf_file_name))
      self.log(4, repr(self.conf))
      pprint.pprint(self.conf, stream = open(self.conf_file_name, 'w'), indent = 2)
#      open(self.conf_file_name, 'w').write(repr(self.conf))
    except IOError:
      self.log(2, 'error opening file ' + self.conf_file_name)
