"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
from win32api import keybd_event, VkKeyScan
from types import StringType

class KeyboardControl():
  def __init__(self, log, window = None):
    """
      @log    : global logging method
      @window : the window to send keys to or None to send to the window with the current focus
    """
    self.log = log
    self.window = window

  def send_keys(self, *args):
    """ Send keys to window
      @*args  : any combination of strings and win32con.VK_... values
    """
    if self.window:
      self.window.SetFocus()
    for arg in args:
      if isinstance(arg, StringType): # this arg is a string of chars to be send to the window
        for key in arg:
          keybd_event(VkKeyScan(key), ord(key), 0, 0) # send one char
      else:
        keybd_event(arg, 0, 0, 0) # send arg as virtual key code
        
