"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import sys

class Logger():
  def __init__(self, out = sys.stdout, verbose = 0):
    self.verbose = verbose
    self.out = out
    
  def set_verbose(self, verbose):
    self.verbose = verbose
    
  # if level is <= self.verbose: print callername and all args to self.out and return True
  def log(self, level, *args):
    if level <= self.verbose:
      try:
        callerMethod = sys._getframe(1).f_code.co_name
        callerClassName = sys._getframe(1).f_locals['self'].__class__.__name__
        print >> self.out, 'LOG: %s.%s:\n%79s' % (callerClassName, callerMethod, repr(args))
      except:
        try:
          callerName = sys._getframe(1).f_locals['__name__']
          print >> self.out, 'LOG: %s:\n%79s' % (callerName, repr(args))
        except:
          print >> self.out, 'LOG: %74s' % repr(args)
      return True
    return False

  def print_to_log(self, level, title, string):
    self.log(level, 'START --- %s --- START' % title)
    if level <= self.verbose:
      print >> self.out, string
    return self.log(level, 'END --- %s --- END' % title)

    