"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import os
import Configuration

class Skin():
  def __init__(self, rc, skin_name = None):
    self.rc = rc
    if skin_name:
      self.set_skin(skin_name)

  def set_skin(self, skin_name):
    # load values from rc config
    self.name = skin_name
    self.path = self.rc.conf.get('skin_path', default = 'skins') + os.sep + self.name

    # load values from skin config
    self.conf = Configuration.Configuration(self.path + os.sep + self.__class__.__name__ + '.conf', self.rc.log)
    self.image_filepath = self.path + os.sep + self.conf.get('image', default = 'n73.jpg')
    self.logo_filepath = self.path + os.sep + self.conf.get('logo', default = 'n73-pys60rc-logo.jpg')
    self.title_rect = self.conf.get('title_rect')
    self.title_font = self.conf.get('title_font')
    self.display_rect = self.conf.get('display_rect')
    self.display_font = self.conf.get('display_font')
    self.keypad_rect = self.conf.get('keypad_rect')
    self.keypad_font = self.conf.get('keypad_font')
    self.keypad_font2 = self.conf.get('keypad_font2')
    self.key_coords = self.conf.get('key_coords', default = {})
