"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
from win32ui import FindWindow, error
from KeyboardControl import KeyboardControl

class WindowHandler(KeyboardControl):
  def __init__(self, log, window_class, window_name = None):
    KeyboardControl.__init__(self, log)
    self.log = log
    self.window_class = window_class
    self.window_name = window_name
    self.window = self.get_window()
    self._send_keys = self.send_keys
    self.send_keys = self.send_keys_to_window
    self.log(3, self.window_class, self.window_name)

  def get_window(self):
    try:
      self.window = FindWindow(self.window_class, self.window_name)
    except error:
      self.log(4, 'could not find window: %s %s' % (self.window_class, self.window_name))
      return False
    return self.window

  def send_keys_to_window(self, *args):
    if self.get_window():
      self._send_keys(*args)
