"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import httplib
from EventDispatcherPlugin import EventDispatcherPlugin
import Configuration

class GirderHttp(EventDispatcherPlugin):
  def __init__(self, rc):
    EventDispatcherPlugin.__init__(self, rc)
    self.host = self.conf.get('host', 'localhost')
    self.port = self.conf.get('port', 20080)
    self.request_uri = self.conf.get('request_uri', '/ajax_sendevent.lhtml?device=1234&event=%s')

    self.conn = httplib.HTTPConnection(self.host, self.port)
    #self.conn.set_debuglevel(10)
    
  def event_callback(self, event_str):
    try:
      self.conn.request('GET', self.request_uri % event_str)
      self.conn.getresponse().read() # read to clear buffer, so we can reuse this connection
      if self.rc.log(4, 'response'):
        resp = self.conn.getresponse()
        self.rc.log(4, resp.status, resp.reason, resp.read())
    except:
      self.rc.log(0, 'sending failed', event_str)
